//
//
// ===== テーマスクリプト [Urban] =====
//
//


//
// === 初期実行 ===
//

$(function() {
'use strict';

  //
  // === 共通 ===
  //
  /* 20220909 change s.u --ここから-- */
  var
    $window = $(window),
    $body = $('body'),
    $pageHeader = $('#page-header'),
    slideSpeed = 'normal',
	storage = localStorage;
	/* 20220909 change s.u --ここまで-- */


  //
  // === メニュー ===
  //
	// 開きありの対応  20220826 merge s.u add
	$("span.icon.bullet.notchildren").each(function(i, elem) {
		var data = $(elem).parent("li");
		$(data).css({'cssText': 'display: none !important;'});

		var targetSpan = $(elem).parent("li").parent("ul").prev().prev();
		$(targetSpan).removeClass("icon");
	});

  // --- すべてを開く／閉じる ---
	var classGroupExpanded = 'expanded';
	$('.btn-expand-menu').click(function(e) {
	  $('.nav-menu-list li.group')
		  .addClass(classGroupExpanded)
		  .children('ul')
		  .slideDown(slideSpeed,function(){
		  	checkMenuStatus();
		  });
	  return false;
	});

	$('.btn-collapse-menu').click(function(e) {
		$('.nav-menu-list li.group')
		  .removeClass(classGroupExpanded)
		  .children('ul')
		  .slideUp(slideSpeed,function(){
		  	checkMenuStatus();
		  });
	  return false;
	});

	const classStatusExpanded = 'is-expanded';
	var checkMenuStatus = function(){
		const classStatusExpanded = 'is-expanded';
		const classStatusAllExpanded = 'is-allexpanded';
		const $expanded =  $('.nav-menu-list').find('.' + classGroupExpanded ) ;
		if(  $expanded.length > 0 ){
			$('body').addClass( classStatusExpanded );
		}else{
			$('body').removeClass( classStatusExpanded );
		}
    if( $('.nav-menu-list').find("ul:hidden").length == 0 ){
      $('body').addClass( classStatusAllExpanded );
    }else{
      $('body').removeClass( classStatusAllExpanded );
    }
	}
	checkMenuStatus();


  // --- メニューの開閉 ---
  const classMenuClosed = 'status-menu-closed';
  $('.btn-view-switch').click(function(e) {
    $body.toggleClass(classMenuClosed, !$body.hasClass(classMenuClosed));
	  var i = $(this).find('i');
	  $(i).toggleClass("icon-arrow-right-thin icon-arrow-left-thin");
	/* 20220922 change s.u --ここから-- */
	//   if( $body.hasClass(classMenuClosed) ){
	//   	writeCookie( COOKIE_MENU_SHOW_KEY , 0 );
	//   }else{
	//   	writeCookie( COOKIE_MENU_SHOW_KEY , 1 );
	//   }
	/* 20220922 change s.u --ここまで-- */
    return false;
  });


  $('.btn-change-font a').click(function(e) {
/*
		var classes = ['large-text','medium-text','small-text'];
		$(this).each(function(){
			this.className = classes[($.inArray(this.className, classes)+1)%classes.length];
		});

		var originalFontNumber = parseFloat(resetFont, 10);
		var newFontSize = originalFontNumber;
		if(this.className ==='large-text'){
			newFontSize = originalFontNumber * 1.3;
		}else if(this.className ==='small-text'){
			newFontSize = originalFontNumber / 1.3;
		}
		//console.log(newFontSize);
		$(resize).css('font-size', newFontSize);
*/
		//selectFontSize();
		toggleFontSize();
		return false;
  });
  /* 20220722 change 230 No.203 対応 ここから */
  //var resize = new Array('div,h1,h2,h3,h4,h5,li,span,p');
  //var resize = new Array('div,h1,h2,h3,h4,h5,li,span');/* 20220803 change s.u */
  var resize = new Array('div,h1,h2,h3,h4,h5,li');/* 20220803 change s.u */
  resize = resize.join(',');
  var resetFont = $(resize).css('font-size');
  var resetFontForTable = '14px';//$('table p').css('font-size');/* 20220803 change s.u */
  var resetFontForAnt = '14px';//20220826 merge s.u add
  var resetFontForMenu1 = '16px';//20220826 merge s.u add
  var resetFontForMenu2 = '14px';//20220826 merge s.u add
  var resetFontForIndexPage = '16px';/* 20220902 add s.u  文字サイズ変更対応 */
  var resetFontForIndexMenu = '18px';/* 20220916 トップページのメニュータイトルの文字サイズ変更対応　田中 */
  var resetFontForBreadcrumb = '14px';
  const FONT_S = 'small-text'
  const FONT_M = 'medium-text'
  const FONT_L = 'large-text'

  var toggleFontSize = function( ){
		const classes = [ FONT_S, FONT_M, FONT_L];
		const $target = $('.btn-change-font a');
		let myClassName = '';
		$target.each(function(){
			myClassName = classes[($.inArray(this.className, classes)+1)%classes.length];
		});
		selectFontSize( myClassName );
		writeCookie( COOKIE_FONTSIZE_KEY , myClassName );
		//footerAdjust();/* 20220902 add s.u  文字サイズ変更対応 *//* 20220909 dell s.u  文字サイズ変更対応 */
	}

  var selectFontSize = function( fontsize = FONT_M ){
  	const per = 1.2;
  	const $target = $('.btn-change-font a');

		const originalFontNumber = parseFloat(resetFont, 10);
		let newFontSize = originalFontNumber;
		if( fontsize === FONT_L ){
			newFontSize = originalFontNumber * per;
		}else if( fontsize === FONT_S){
			newFontSize = originalFontNumber / per;
		}else if( fontsize === FONT_M ){
			newFontSize = originalFontNumber;
		}
		$target.removeClass().addClass(fontsize);
		$(resize).css('font-size', newFontSize);
	  	// table配下のpタグは対象外
    	$('p').not('table p').css('font-size', newFontSize);
		$('table.wikiPLMarks p').css('font-size', newFontSize);/* 20220812 change s.u */
		$('span').not('table span').css('font-size', newFontSize);/* 20220803 add s.u */
		$('.index-product-manual').css('font-size', '30px');
		$('.index-product-label').css('font-size', '16px');

		// table配下のpタグのフォントサイズ変更
		const originalFontNumberForTable = parseFloat(resetFontForTable, 10);
		let newFontSizeForTable = originalFontNumberForTable;
		if( fontsize === FONT_L ){
			newFontSizeForTable = originalFontNumberForTable * per;
		}else if( fontsize === FONT_S){
			newFontSizeForTable = originalFontNumberForTable / per;
		}else if( fontsize === FONT_M ){
			newFontSizeForTable = originalFontNumberForTable;
		}
		//$('table p').not('table.wikiPLMarks p').css('font-size', newFontSizeForTable);/* 20220812 change s.u 20230405 del s.u*/
		$('table p').not('table.wikiPLMarks p').not('table.plmark-table p').css('font-size', newFontSizeForTable);/* 20230405 change s.u */
		$('table span').css('font-size', newFontSizeForTable);/* 20220803 add s.u */
		$('table tbody tr td div').not('table.plmark-table div').css('font-size', newFontSizeForTable);/* 20230405 change s.u */
    /* 20220722 change 230 No.203 対応 ここまで */
		// 注釈のフォントサイズ変更 20220826 merge s.u add ----ここから---
		const originalFontNumberForAnt = parseFloat(resetFontForAnt, 10);
		let newFontSizeForAnt = originalFontNumberForAnt;
		if( fontsize === FONT_L ){
			newFontSizeForAnt = originalFontNumberForAnt * per;
		}else if( fontsize === FONT_S){
			newFontSizeForAnt = originalFontNumberForAnt / per;
		}else if( fontsize === FONT_M ){
			newFontSizeForAnt = originalFontNumberForAnt;
		}
		$('.ant').css('font-size', newFontSizeForAnt);

		// メニューのフォントサイズ変更（第一階層＋子あり階層）
		const originalFontNumberForMenu1 = parseFloat(resetFontForMenu1, 10);
		let newFontSizeForMenu1 = originalFontNumberForMenu1;
		if( fontsize === FONT_L ){
			newFontSizeForMenu1 = originalFontNumberForMenu1 * per;
		}else if( fontsize === FONT_S){
			newFontSizeForMenu1 = originalFontNumberForMenu1 / per;
		}else if( fontsize === FONT_M ){
			newFontSizeForMenu1 = originalFontNumberForMenu1;
		}
		// メニューのフォントサイズ変更（子なし階層）
		const originalFontNumberForMenu2 = parseFloat(resetFontForMenu2, 10);
		let newFontSizeForMenu2 = originalFontNumberForMenu2;
		if( fontsize === FONT_L ){
			newFontSizeForMenu2 = originalFontNumberForMenu2 * per;
		}else if( fontsize === FONT_S){
			newFontSizeForMenu2 = originalFontNumberForMenu2 / per;
		}else if( fontsize === FONT_M ){
			newFontSizeForMenu2 = originalFontNumberForMenu2;
		}

		$('#page-menu .nav-menu-list li a').css('font-size', newFontSizeForMenu1);
		$('#page-menu .nav-menu-list li ul li span.has_child + a').css('font-size', newFontSizeForMenu2);
		$('#page-menu .nav-menu-list li ul li span.icon.bullet + a').css('font-size', newFontSizeForMenu2);
		$('#page-menu .nav-menu-list li ul li span.icon.has_child + a').css('font-size', newFontSizeForMenu1);
		//  20220826 merge s.u add ----ここまで---
        // 20220902 add s.u  文字サイズ変更対応 ---- ここから ------
		// トップページのaタグ
		const originalFontNumberForIndexPage = parseFloat(resetFontForIndexPage, 10);
		let newFontSizeForIndexPage = originalFontNumberForIndexPage;
		if( fontsize === FONT_L ){
			newFontSizeForIndexPage = originalFontNumberForIndexPage * per;
		}else if( fontsize === FONT_S){
			newFontSizeForIndexPage = originalFontNumberForIndexPage / per;
		}else if( fontsize === FONT_M ){
			newFontSizeForIndexPage = originalFontNumberForIndexPage;
		}
		$('.tab-index-page a').not('.tab-index-page a:has(img)').css('font-size', newFontSizeForIndexPage);
		$('.tab-index-page p').css('font-size', newFontSizeForIndexPage);
		// 20220902 add s.u  文字サイズ変更対応 ---- ここまで ------

		//20220916 トップページのメニュータイトルの文字サイズ変更対応　田中　---- ここから ------
		// トップページのメニュータイトル
		const originalFontNumberForIndexMenu = parseFloat(resetFontForIndexMenu, 10);
		let newFontSizeForIndexMenu= originalFontNumberForIndexMenu;
		if( fontsize === FONT_L ){
			newFontSizeForIndexMenu = originalFontNumberForIndexMenu * per;
		}else if( fontsize === FONT_S){
			newFontSizeForIndexMenu = originalFontNumberForIndexMenu / per;
		}else if( fontsize === FONT_M ){
			newFontSizeForIndexMenu = originalFontNumberForIndexMenu;
		}
		$('.nav-tabs-index li a').css('font-size', newFontSizeForIndexMenu);
		//20220916 トップページのメニュータイトルの文字サイズ変更対応　田中　---- ここまで ------

		// パンくずリスト
		const originalFontNumberForBreadcrumb = parseFloat(resetFontForBreadcrumb, 10);
		let newFontSizeForBreadcrumb = originalFontNumberForBreadcrumb;
		if( fontsize === FONT_L ){
			newFontSizeForBreadcrumb = originalFontNumberForBreadcrumb * per;
		}else if( fontsize === FONT_S){
			newFontSizeForBreadcrumb = originalFontNumberForBreadcrumb / per;
		}else if( fontsize === FONT_M ){
			newFontSizeForBreadcrumb = originalFontNumberForBreadcrumb;
		}
		$('.nav-breadcrumb li span').css('font-size', newFontSizeForBreadcrumb);
		$('.nav-breadcrumb li span a').css('font-size', newFontSizeForBreadcrumb);

		footerAdjust();/* 20220909 add s.u  文字サイズ変更対応 */
		$("h5.option01").find("span").css("font-size","");/* 20221007 add s.u  対象外追加 小見出し1 */
		$("h5.option04").find("span").css("font-size","");/* 20221007 add s.u  対象外追加 小見出し2*/
		$("p.fs18").children("strong").find("span").css("font-size","");/* 20221007 add s.u  対象外追加 図・表見出し*/
		$("h6.option01").find("span").css("font-size","");/* 20221007 add s.u  対象外追加 図中央寄せ*/
		$("h6.option02").find("span").css("font-size","");/* 20221007 add s.u  対象外追加 図中央寄せ*/
		$("p.ant").find("span").css("font-size","");/* 20221007 add s.u  対象外追加 図・表見出し*/
		$("sup").find("span").css("font-size","");/* 20221011 add s.u  対象外追加 下付き*/
		$("sub").find("span").css("font-size","");/* 20221011 add s.u  対象外追加 上付き*/
		/* 20221012 検索結果ページ フッターナビ調整対応 ここから s.u */
		function isSmartPhone() {
		  if (navigator.userAgent.match(/iPhone|Android.+Mobile/)) {
		    return true;
		  } else {
		    return false;
		  }
		}
    if(isSmartPhone()){
		$("ul.pagenavi li").css("padding","4.5px 0 4.5px 0"); /*20221018　スマホのページナビの位置を微調整　田中 //20221024 微調整　田中*/
	} else {
			if( fontsize === FONT_L ){
				$("ul.pagenavi li").css("padding","6px 0 6px 0");
				$(".nav-breadcrumb").css("padding","2px 0"); /*20221018 前・次移動ボタンと、目次内の白背景の上辺を揃える修正　田中 */
			}else if( fontsize === FONT_S){
				$("ul.pagenavi li").css("padding","5px 0 6px 0");
				$(".nav-breadcrumb").css("padding","4px 0");/*20221018 前・次移動ボタンと、目次内の白背景の上辺を揃える修正　田中 */
			}else if( fontsize === FONT_M ){
				$("ul.pagenavi li").css("padding","5px 0 6px 0");
				$(".nav-breadcrumb").css("padding","4px 0");/*20221018 前・次移動ボタンと、目次内の白背景の上辺を揃える修正　田中 */
			}
		}
	/* 20221020 アラビア語対応 ここから s.u */	
    var htmlLang = $('html')[0].lang;
    if(htmlLang === "ar"){
    	//20230329 移動 default.jsへ
    }
  	/* 20221020 アラビア語対応 ここまで s.u */
  	/* 20221012 検索結果ページ フッターナビ調整対応 ここまで s.u */
	}
	//selectFontSize('large-text');


  //
  // === cookie ===
  //


  const COOKIE_FONTSIZE_KEY = 'font-size'
	const COOKIE_MENU_SHOW_KEY = classMenuClosed;
/* 20220902 change s.u --ここから--*/
	var getCookies = function()
	{
	    var result = new Array();
	    var allcookies = document.cookie;
	    if( allcookies != '' )
	    {
	        var cookies = allcookies.split( '; ' );
	        for( var i = 0; i < cookies.length; i++ )
	        {
	            var cookie = cookies[ i ].split( '=' );
	            result[ cookie[ 0 ] ] = decodeURIComponent( cookie[ 1 ] );
	        }
	    }
	    return result;
	}

  var checkCookie = function(){
	var fontSize = getCookies()['font-size'];
	if (fontSize === undefined) {
  		fontSize = storage.getItem(COOKIE_FONTSIZE_KEY);
	}
  	/* 20220902 change s.u --ここまで--*/

  	switch ( fontSize ){
			case FONT_S:
				selectFontSize( FONT_S );
				break;
			case FONT_M:
				selectFontSize( FONT_M );
				break;
			case FONT_L:
				selectFontSize( FONT_L );
				break;
			default :
				selectFontSize( FONT_M );
  	}
/* 20220922 del s.u --ここから-- */
// 	var menuStatus = getCookies()[ COOKIE_MENU_SHOW_KEY ];
// 	if (menuStatus === undefined) {
//   		menuStatus =storage.getItem(COOKIE_MENU_SHOW_KEY);
// 	}
// 	if (menuStatus != null) {
// 		/* 20220902 change s.u --ここまで--*/
// 		switch ( Number(menuStatus) ){
// 			case 0:
// 				$body.addClass(classMenuClosed);
// 				$('.btn-view-switch i').addClass('icon-arrow-right-thin');
// 				break;
// 			case 1:
// 				$body.removeClass(classMenuClosed);
// 				$('.btn-view-switch i').addClass('icon-arrow-left-thin');
// 				break;
// 			default:
// 		}
// 	}/* 20220902 change s.u --ここから--*/
// 	else
// 	{
// 		$body.removeClass(classMenuClosed);
// 		$('.btn-view-switch i').addClass('icon-arrow-left-thin');
//   }
  }/* 20220922 del s.u --ここまで-- */
  checkCookie();

  var writeCookie = function( key, val ){
  	/* 20220909 change s.u --ここから--*/
	storage.setItem(key, val);
	document.cookie = key + '=' + val;
	/* 20220909 change s.u --ここまで--*/
  }


  //
  // === ウィンドウ ===
  //

  // --- ウィンドウイベント ---

  var
    $navMenuContent = $('.nav-menu-content'),
    subtractHeight = ($window.width() > 768) ? 95 : 70;

  /* 20220726 add 235 No.208 実機でスクロールするとリサイズイベントが発生するので回避 ここから */
	    // --- リサイズ ---
    $window.resize(function() {
		$navMenuContent.height($window.innerHeight() - subtractHeight);
		const classMenuClosed = 'status-menu-closed';
    //TODO
    var divPageTitle = $(document).find('#select-page-tree-search');
	  /* 20220930 スマホのメニュー自動クローズ無し対応 ここから s.u */
	  if($window.width() <= 769){
			if( isSmartPhone() ){
			} else {
			  $body.addClass(classMenuClosed);
			  writeCookie( COOKIE_MENU_SHOW_KEY , 0 );
	      // if (divPageTitle.length > 0) {
	      //     $(divPageTitle).css('display', 'none');
	      // }
			}
		}else{
			if( isSmartPhone() ){
			} else {
				$body.removeClass(classMenuClosed);
	        if (divPageTitle.length > 0) {
	            $(divPageTitle).css('display', 'block');
	        }
				}
		}
    /* 20220930 スマホのメニュー自動クローズ無し対応 ここまで s.u */
	/* 20220930 スマホのメニュー自動クローズ無し対応 ここから s.u */
	function isSmartPhone() {
	  if (navigator.userAgent.match(/iPhone|Android.+Mobile/)) {
	    return true;
	  } else {
	    return false;
	  }
	}
  /* 20220930 スマホのメニュー自動クローズ無し対応 ここまで s.u */

		//const $table = $('.tab-index-page table');
		//$table.css('height','auto');
		//resizeTableAtTopPage();
	  })
	  .trigger('resize');
  /* 20220726 add 235 No.208 実機でスクロールするとリサイズイベントが発生するので回避 ここまで */

	$('#btn-back-to-top').smoothScroll({
        scrollTarget: 'body'
    });


    var parameters;

    $('.gen-qr').on('click', function() {
      var url = window.location.href;
      parameters = `size=150&text=${url}`
      $('#qr-img').attr('src', `https://quickchart.io/qr?${parameters}`)
	  $('#qrDialog').show();
	  $('.aui-blanket').show();
     });

    $('.close-qr').on('click', function() {
      $('#qrDialog').hide();
	  $('.aui-blanket').hide();
    });



    // --- ページの先頭へ ---
    $('.to-page-top a')
      .smoothScroll({
        scrollTarget: 'body'
      });

    $('.to-page-top-absolute a')
      .smoothScroll({
        scrollTarget: 'body'
      });

	//Get the button
	var scrollButton = $('.to-page-top-absolute');

	// When the user scrolls down 20px from the top of the document, show the button
	window.onscroll = function() {scrollFunction()};

	function scrollFunction() {
		if (document.body.scrollTop > 40 || document.documentElement.scrollTop > 40) {
			scrollButton.show();
		} else {
			scrollButton.hide();
		}
		//if($(window).scrollTop() + $(window).height() == $(document).height()) {
    /* 20220722 add 232 No.205不具合対応 ここから */
    var footerPos =  $("footer#page-footer").offset().top; //footerの位置を取得
		if($(window).scrollTop() + $(window).height() >= footerPos) {
		   scrollButton.hide();
	  }
    /* 20220722 add 232 No.205不具合対応 ここまで */
	}
    /*var to_page_top_absolute = $(".to-page-top-absolute").innerHeight();
		if($(window).scrollTop() + $(window).height() + to_page_top_absolute > $(document).height()) {
		   scrollButton.hide();
	  }*/

  /* ALL-2732 20240621 s.u No.455 HTML出力：トップページのタブをクリックしたときのスクロール位置が下がっている ここから */
  $(".nav-tabs-index a").click(function (e) {
    function isSmartPhone() {
      if (navigator.userAgent.match(/iPhone|Android.+Mobile/)) {
        return true;
      } else {
        return false;
      }
    }
    $(".nav-tabs-index li").removeClass("active");
	$(this).closest("li").addClass("active");
	var id = $(this).attr("href").replace("#", "");
	var position = $(this).offset().top;
	$(".index-tab-content").hide();
	$(".index-tab-content[id=" + id + "]").show();
	var movile_position = $("div.tab-index-page").offset().top - 60;
	if (isSmartPhone()) {
	  $("html, body").animate({ scrollTop: movile_position });
	} else {
	  $("html, body").animate({ scrollTop: position });
	}
	e.stopImmediatePropagation();
	e.stopPropagation();
    });
  /* ALL-2732 20240621 s.u No.455 HTML出力：トップページのタブをクリックしたときのスクロール位置が下がっている ここまで */

  /*  ALL-2839 20240709 s.u  No.463 の対応でクリックするとターゲットに移動してしまう為再度変更 ここから */
  /* ALL-2732 20240621 s.u No.455 今回の修正で動作するようになったので差がでてしまうので削除 */
  /* ALL-2839 20240704 s.u No.463 トップページにすべてのタブ内容がつながって表示されてしまっていた */
  //$(".nav-tabs-index a:first").click();
  /*  ALL-2839 20240709 s.u  No.463 の対応でクリックするとターゲットに移動してしまう為再度変更 ここまで */

	//20220905　トップおすすめ部分CSSで対応のためコメントアウト　田中
	// function resizeTableAtTopPage(){
	// 	const $table = $('.tab-index-page table');
	// 	var num = 0;
	// 	var maxHeight = 0;
	// 	$table.each(function(){
	// 		var tableHeight = $(this).height();
	// 		if(tableHeight > maxHeight){
	// 			maxHeight = tableHeight;
	// 		}
	// 		num ++;
	// 	});
	// 	if(num = $table.length){
	// 		$table.css('height',maxHeight + "px");
	// 	}
	// }

    // 20220902 add s.u  文字サイズ変更対応 ---- ここから ------
	function footerAdjust(){
		var elms = document.getElementsByClassName("to-page-top");
		$('ul.pagenavi li').css('height',getComputedStyle(elms[0]).height);
		$('ul.pagenavi li').css('width',getComputedStyle(elms[0]).height); /*20221018 フッターナビを正方形にするために、heightとwidthに同じ数値を入れる修正　田中 */
	}
	// 20220902 add s.u  文字サイズ変更対応 ---- ここまで ------

	/* 20220909 change s.u --ここから--*/
	window.globalFunction = {};
	window.globalFunction.checkCookie = checkCookie;
	/* 20220909 change s.u --ここまで--*/
    //20220912 トップおすすめ部分の謎の空白を削除　ここから　田中
  // 20221026 テーブルに影響がでているのでトップページだけの対応とする s.u ここから
	$("div.tab-index-page").find("td.confluenceTd").html(function (i, html) {
		return html.replace(/&nbsp;/g, '');
	});
  // 20221026 テーブルに影響がでているのでトップページだけの対応とする s.u ここまで
	//20220912 トップおすすめ部分の謎の空白を削除　ここまで　田中

	// 20220922 日本語のページトップボタン内のテキストが上に寄る修正　ここから　　田中
	var getLang = $('html')[0].lang;
	const agent = window.navigator.userAgent.toLowerCase();
	if (getLang == "ja" && agent.indexOf("firefox") == -1) {
		$('.to-page-top a').addClass('jplang');
	}
	// 20220922 日本語のページトップボタン内のテキストが上に寄る修正　ここまで　　田中

	// 20220928 メニューを閉じる、開くのツールメニューを言語ごとに表示　ここから　田中
	$('.btn-view-switch').hover(
		function (){
			var lang = $('html')[0].lang;
			$("span.description").css('display','');// 20230117 add s.u
			$(".status-menu-closed .description").css('display','');// 20230117 add s.u
			$(".description").text(Err_Lang[lang].navMenuClose);
			$(".status-menu-closed .description").text(Err_Lang[lang].navMenuOpen);
		},
	);
	// 20220928 メニューを閉じる、開くのツールメニューを言語ごとに表示　ここから　田中
   // 20230117 add スクリール時は非表示 ---
	$window
	  .scroll(function() {
		//console.log("xxxxxxxxx");
		$("span.description").css('display','none');
		$(".status-menu-closed .description").css('display','none');
	});
   // 20230117 add スクリール時は非表示 ---
	//20221024 iphoneの場合bodyにクラスを付ける　ここから　田中
	$(document).ready(function(){
		var agent = navigator.userAgent;
		if(agent.search(/iPhone/) != -1){
				$("body").addClass("is_iphone");
		}
	});
	//20221024 iphoneの場合bodyにクラスを付ける　ここから　田中

});

// --- eof ---
